using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;
using Decal.Interop.Net;

namespace Decal.Interop.Filters;

[ComImport]
[InterfaceType(2)]
[SuppressUnmanagedCodeSecurity]
[TypeLibType(4096)]
[Guid("6C9BCC85-BAD0-4706-9CC5-D491E43F81C4")]
public interface IEchoSink2
{
	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(1)]
	void EchoServer([MarshalAs(UnmanagedType.Interface)] IMessage2 pMsg);

	[MethodImpl(MethodImplOptions.PreserveSig | MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	[DispId(2)]
	void EchoClient([MarshalAs(UnmanagedType.Interface)] IMessage2 pMsg);
}
